<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:paddingTop="@dimen/dp_14"
    android:paddingBottom="@dimen/dp_14"
    android:layout_height="wrap_content">

    <TextView
        android:id="@+id/mLeft"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/col_313"
        android:text="asdasd"
        android:textSize="@dimen/sp_15"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <TextView
        android:id="@+id/mTv"
        android:layout_width="@dimen/dp_0"
        android:layout_height="wrap_content"
        android:textColor="@color/col_333"
        android:drawablePadding="@dimen/dp_6"
        android:visibility="gone"
        android:textColorHint="@color/col_6B6"
        android:textSize="@dimen/sp_15"
        android:layout_marginLeft="@dimen/dp_10"
        app:layout_constraintLeft_toRightOf="@+id/mLeft"
        android:gravity="end"
        app:layout_constraintRight_toLeftOf="@+id/mTvUnit"
        app:layout_constraintTop_toTopOf="parent" />


    <EditText
        android:id="@+id/mEdit"
        android:layout_width="@dimen/dp_0"
        android:layout_height="wrap_content"
        android:background="@null"
        android:gravity="end"
        android:visibility="gone"
        android:maxLength="30"
        android:drawablePadding="@dimen/dp_6"
        android:textColor="@color/col_333"
        android:textColorHint="@color/col_6B6"
        android:layout_marginLeft="@dimen/dp_10"
        app:layout_constraintLeft_toRightOf="@+id/mLeft"
        android:textSize="@dimen/sp_15"
        app:layout_constraintRight_toLeftOf="@+id/mTvUnit"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/mTvUnit"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/col_333"
        android:drawablePadding="@dimen/dp_6"
        android:textColorHint="@color/col_313"
        android:textSize="@dimen/sp_15"
        android:gravity="end"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />




</androidx.constraintlayout.widget.ConstraintLayout>